Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(400)

Issue 2591673002: [NTP::PhysicalWeb] Do not show published time. (Closed)

Created:
11 months, 3 weeks ago by vitaliii
Modified:
11 months, 3 weeks ago
CC:
chromium-reviews, ntp-dev+reviews_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[NTP::PhysicalWeb] Do not show published time. In this CL: 1) published time for Physical Web suggestions is not provided anymore; 2) UI is changed not to show published time at all if it is equal to NULL time. BUG=674568 Committed: https://crrev.com/3ac0bb8bf760c4a783fdbe2f176711585b1a070e Cr-Commit-Position: refs/heads/master@{#440407}

Patch Set 1 #

Total comments: 3

Patch Set 2 : rebase. #

Patch Set 3 : peconn@ & dgn@ comments + rebase. #

Total comments: 4

Patch Set 4 : mvanouwerkerk@ comments. #

Messages

Total messages: 37 (22 generated)
vitaliii
Hi jkrcal@, could you have a look at C++ bit of the change?
11 months, 3 weeks ago (2016-12-20 10:06:57 UTC) #4
vitaliii
Hi peconn@, could you have a look at UI bit of the change? I had ...
11 months, 3 weeks ago (2016-12-20 10:10:00 UTC) #6
PEConn
On 2016/12/20 10:10:00, vitaliii wrote: > Hi peconn@, > > could you have a look ...
11 months, 3 weeks ago (2016-12-20 10:20:54 UTC) #7
jkrcal
physical_web_page_suggestions_provider.cc lgtm
11 months, 3 weeks ago (2016-12-20 10:26:33 UTC) #9
vitaliii
On 2016/12/20 10:20:54, PEConn wrote: > On 2016/12/20 10:10:00, vitaliii wrote: > > Hi peconn@, ...
11 months, 3 weeks ago (2016-12-20 10:49:36 UTC) #10
PEConn
On 2016/12/20 10:49:36, vitaliii wrote: > On 2016/12/20 10:20:54, PEConn wrote: > > On 2016/12/20 ...
11 months, 3 weeks ago (2016-12-20 11:01:27 UTC) #11
dgn
https://codereview.chromium.org/2591673002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java File chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java (right): https://codereview.chromium.org/2591673002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java#newcode53 chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java:53: private static final String PUBLISHER_FORMAT_STRING = "%s%s"; that's kind ...
11 months, 3 weeks ago (2016-12-20 11:15:39 UTC) #13
PEConn
https://codereview.chromium.org/2591673002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java File chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java (right): https://codereview.chromium.org/2591673002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java#newcode224 chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java:224: } finally { On 2016/12/20 11:15:39, dgn wrote: > ...
11 months, 3 weeks ago (2016-12-20 11:24:07 UTC) #14
vitaliii
Hi mvanouwerkerk@, could you have a look at the UI bit since everyone else is ...
11 months, 3 weeks ago (2016-12-22 10:06:25 UTC) #20
Michael van Ouwerkerk
https://codereview.chromium.org/2591673002/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java File chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java (right): https://codereview.chromium.org/2591673002/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java#newcode188 chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java:188: public String getAttributionString(SnippetArticle article) { Can this method be ...
11 months, 3 weeks ago (2016-12-22 10:55:28 UTC) #23
vitaliii
Hi mvanouwerkerk@, I addressed your comments, please have a look. https://codereview.chromium.org/2591673002/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java File chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java (right): https://codereview.chromium.org/2591673002/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/ntp/snippets/SnippetArticleViewHolder.java#newcode188 ...
11 months, 3 weeks ago (2016-12-22 12:39:01 UTC) #26
Michael van Ouwerkerk
Thanks! lgtm
11 months, 3 weeks ago (2016-12-22 13:59:32 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2591673002/60001
11 months, 3 weeks ago (2016-12-22 14:03:42 UTC) #32
commit-bot: I haz the power
Committed patchset #4 (id:60001)
11 months, 3 weeks ago (2016-12-22 14:08:38 UTC) #35
commit-bot: I haz the power
11 months, 3 weeks ago (2016-12-22 14:13:20 UTC) #37
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/3ac0bb8bf760c4a783fdbe2f176711585b1a070e
Cr-Commit-Position: refs/heads/master@{#440407}

Powered by Google App Engine
This is Rietveld 0eb02b776